Page MenuHomePhabricator

evas_common_privat: improve tiler merge flag
ClosedPublic

Authored by bu5hm4n on Jun 19 2020, 12:05 AM.

Details

Summary

when this is a int and you assign 0, the whole "0" for the entire int is
moved. When this is a bit flag like this, it is a simple | operation,
which makes the whole thing somehow faster.
Depends on D11997

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jun 19 2020, 12:05 AM
bu5hm4n requested review of this revision.Jun 19 2020, 12:05 AM
devilhorns accepted this revision.Jun 22 2020, 6:49 AM
This revision is now accepted and ready to land.Jun 22 2020, 6:49 AM
Closed by commit rEFLd55b7939d608: evas_common_privat: improve tiler merge flag (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJul 1 2020, 1:14 AM
This revision was automatically updated to reflect the committed changes.